#ifdef TESTFUNCDLL_EXPORT
#define TESTFUNCDLL_API __declspec(dllexport) 
#else
#define TESTFUNCDLL_API __declspec(dllimport) 
#endif

extern "C" {
#include <SMCore.h>
#include "WifibotSM_info.h"
	TESTFUNCDLL_API int create_wifibot_sm();
	TESTFUNCDLL_API int attach_wifibot_sm();
	TESTFUNCDLL_API int copy_wifibot_data_to_sm(WifibotLibObjects *wiaclient_data);
	TESTFUNCDLL_API void reset_wifibot_connected();
	TESTFUNCDLL_API void set_wifibot_connected();
	TESTFUNCDLL_API bool is_wifibot_connected();
	TESTFUNCDLL_API int get_wifibot_batVoltage();
	TESTFUNCDLL_API int get_wifibot_speedFrontLeft();
	TESTFUNCDLL_API int get_wifibot_speedFrontRight();
	TESTFUNCDLL_API int get_wifibot_speedRearLeft();
	TESTFUNCDLL_API int get_wifibot_speedRearRight();
	TESTFUNCDLL_API int get_wifibot_irLeft();
	TESTFUNCDLL_API int get_wifibot_irRight();
	TESTFUNCDLL_API int get_wifibot_irLeft2();
	TESTFUNCDLL_API int get_wifibot_irRight2();
	TESTFUNCDLL_API long get_wifibot_odometryLeft();
	TESTFUNCDLL_API long get_wifibot_odometryRight();
	TESTFUNCDLL_API int get_wifibot_left_speed();
	TESTFUNCDLL_API int get_wifibot_right_speed();
	TESTFUNCDLL_API void set_wifibot_speed(int newLeftSpeed, int newRightSpeed);
	TESTFUNCDLL_API long get_wifibot_frame_id();
	TESTFUNCDLL_API int get_wifibot_frame_sec( double *sec);
}